G compris sur raspberry pi2

Bonjour à tous,
débutant dans le monde du raspberry, je suis directeur d’école et je viens de récupérer une école qui utilisait des raspberry en salle info.
Le problème c’est que aucun ne fonctionnait correctement, j’ ai donc réinstallé un premier appareil en faisant de mon mieux (sûrement ai je fait des erreurs) et je souhaitais mettre g compris pour les élèves.
Je suis parvenu à l’installer mais mon problème c’est qu’il rame énormément et cela le rend quasi inutilisable.
Auriez vous svp une solution?
Les appareils sont des raspeberry pi2 B avec carte 8 gb et j 'ai installé l OS 32bit avec desktop
Merci de votre aide.

Salut @snatch93170,

Le problème vient du fait que tu disposes de Rpi2 qui n’est pas taillé pour ce travail.
C’est comme si on t’avait donné une clio première génération de cylindré de base et que tu disais qu’elle a vraiment du mal dans les côtes avec ta caravane et 4 adultes à bord :wink:
C’est juste intrinsèque à la chose :stuck_out_tongue:

Par exemple, actuellement, je développe une Borne Photos avec du post traitement d’images.
Je suis sur Rpi3 ; Rpi3B+ et … j’ai testé sur Rpi4 pour aider un internaute.
C’est simple, ça prend son temps sur Rpi3, mais ça fuse sur le Rpi4.
Sur Rpi2, je ne pourrais pas attendre.

Bref, il faut bien se dire que le Rpi2 n’est pas taillé pour être un ordinateur.

Si je trouve le temps, je vais tenter d’installer G compris sur Rpi4 pour voir (j’utilisais G Compris pour les enfants autrefois, mais sur des PC Linux)

++

Bonjour Nabla et merci pour cette réponse limpide et très imagée :grinning:.
Du coup pas moyen d’en faire grand chose…

Salut @snatch93170,

Pas de quoi.
Tu peux aussi attendre d’autres avis.

Sinon, on peut jouer avec en installant Raspberry Pi OS version Lite.
On y connecte une caméra (PiCam ou Caméra USB ou caméra de fabrication maison à base de webcam de PC portable)
On lance un script ou une tache cron ou une ligne de commande pour faire une photo toutes les X secondes ou minutes.
On modifie l’image avec ajout d’info
On envoie ça sur un serveur Web (affichage de la dernière image sur le serveur)
Ensuite, on récupère tout ça et on en fait un timelapse.
Bref, de quoi amuser/intéresser les élèves.
Et ça peut intéresser les profs d’Art Plastiques (films de type animation faisable)

J’ai un nid de rouge gorges dans le jardin et j’ai de belles images tout en m’amusant :wink:

Et des idées j’en ai plein d’autres.
Cabine photos type Photomaton, borne d’arcade, affichage dynamique, …
Je viendrais bien leur faire cours à tes élèves :wink:
(mais tu me sembles assez éloigné géographiquement)

++

Par contre à priori avant d être délaissé ça avait l’air de bien fonctionner selon les collègues déjà sur l’école.
Est ce dû à une version ultérieure de g compris moins gourmande ou tout autre chose?

Re,

Alors, tu peux peut-être tenter de réinstaller Raspberry Pi OS en prenant la version bureau mais sans tout le tralala :

Raspberry Pi OS (32-bit) with desktop

Image with desktop based on Debian Buster

Après, on peut aussi faire le parallèle entre Windows XP et Windows 10.
Le PC sous XP fonctionnait mais rame +++ avec W10 car les OS sont de plus en plus costaud (même si Linux est bcp plus léger, la comparaison peut tenir la route).

++

C la version que j ai installé ça me semblait effectivement plus judicieux mais ça ne change pas le fait que l’application rame.
Après le Raspberry tourne plutôt bien mais pas g compris.

J’allume un Rpi3 et je l’installe (je n’ai plus de Rpi2)

Sur le site, c’est noté :

Raspberry Pi

Nous fournissons un paquet auto-extractible pour Raspberry Pi. Ce paquet est une version beta. Il a été testé seulement sur Raspberry Pi 3.

A défaut c’est celui que j ai installé.
Mais sur le Rpi 2 de l’école la version de g compris est ultérieure.
Mais je ne sais pas si je peux la retrouver ailleurs.
En tout cas merci de ton aide!!!:+1::+1::+1:

La version est Antérieure pardon

hello,

dans les paquets de raspbian buster il y a une version plus ancienne :

apt-cache policy gcompris
gcompris:
  Installé : (aucun)
  Candidat : 1:0.95-1
 Table de version :
     1:0.95-1 500
        500 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages

l’image raspbian et Qt ( le gestionnaire de fenêtre utilisé par gcompris) de l’époque des pi2 ( 2015-2016 ? ) ont évoluer et sont certainement devenu plus gourmand en ressources…

la solution serait de se remettre dans les conditions de 2015 - 2016 c’est à dire utiliser un raspbian de cette époque ( que tu trouveras là http://downloads.raspberrypi.org/raspbian/images/ ) et installer le paquet « gcompris » en espérant qu’il est aussi présent dans cette distribution - il l’est ds le raspbian buster. )
ou bien une version plus ancienne que tu trouveras ici : https://gcompris.net/download/qt/raspberrypi/
il y en a des plus ancienne ici : http://gcompris.net/download/qt/src/ mais il s’agit de source c’est à dire de fichiers qui constituent le programme mais qu’il faudra compiler pour obtenir un exécutable ( pas simple mais formateur lol )

Merci bof
je vais regarder avec tout ça il y a des liens intéressants.
MERCI.

Bonjour,

Effectivement les dernières versions de Gcompris sont trop lourdes pour un RPi, ce sont les anciennes versions qui devaient effectivement fonctionner sur ce RPi.

Sans faire de pub ou quoi il y a une distribution adaptée pour les écoles, c’est PrimTux, elle permet de réhabiliter les anciens PC jusqu’à de très vieux matériels. Il y a également une image pour RPi.

J’installe régulièrement cette distribution avec grande satisfaction sur pas mal de matériels y compris RPi. Il y a également un bon support sur leur forum.

Bref je laisse le lien si besoin

https://primtux.fr/